Skip to main content
POST
Fetch kmeans clusters

Description

Get correlation analysis for scale, numeric and grid questions.

Payload

where:
  • fromDate: start date in ISO format. (Required).
  • toDate: end date in ISO format. (Required).
  • filter: array of filters to filter the responses. (Optional).
  • questionNames: Array from names of the cluster to be created based on questions selected.
  • clusterCount: Number of clusters to create.
  • questions: Array from ids of questions selected.

Response

200 OK

where:
  • projectId: Id of the project this analysis belongs to.
  • dateFilters: Start and end date filters applied to the data.
  • questionFilter: Filters used calculate the data.
  • response: Correlation data for the clusters created.
  • response.questions: List of questionsIds of questions used for cluster.
  • response.result: Object with means, variances and clusters generated.
  • response.iterations: Array with objects containing means, variances and clusters for each iteration.
  • response.iterationCount: Number of iterations done.

400 Bad Request

Missing or invalid fromDate/toDate/projectId fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Successful response